Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Factory Class Reference

`#include <Notify_Factory.h>`

Collaboration diagram for TAO_Notify_Factory:

[legend]
List of all members.

## Static Public Methods
TAO_Notify_CO_Factory* | get_channel_objects_factory (void)
TAO_Notify_POA_Factory* | get_poa_factory (void)
TAO_Notify_Collection_Factory* | get_collection_factory (void)
TAO_Notify_EMO_Factory* | create_event_manager_objects_factory (void)
## Static Protected Methods
void | init (CORBA::Environment &ACE_TRY_ENV)
void | shutdown (void)
## Static Protected Attributes
TAO_Notify_CO_Factory* | co_factory_ = 0
TAO_Notify_POA_Factory* | poa_factory_ = 0
TAO_Notify_Collection_Factory* | collection_factory_ = 0
TAO_Notify_EMO_Factory* | emo_factory_ = 0
## Friends
class | TAO_Notify_EventChannelFactory_i

## Member Function Documentation

TAO_Notify_EMO_Factory * TAO_Notify_Factory::create_event_manager_objects_factory ( | void )`[static]`

TAO_Notify_CO_Factory * TAO_Notify_Factory::get_channel_objects_factory ( | void )`[static]`

TAO_Notify_Collection_Factory * TAO_Notify_Factory::get_collection_factory ( | void )`[static]`

TAO_Notify_POA_Factory * TAO_Notify_Factory::get_poa_factory ( | void )`[static]`

void TAO_Notify_Factory::init ( | CORBA::Environment & ACE_TRY_ENV )`[static, protected]`

void TAO_Notify_Factory::shutdown ( | void )`[static, protected]`

## Friends And Related Function Documentation

class TAO_Notify_EventChannelFactory_i`[friend]`

## Member Data Documentation

TAO_Notify_CO_Factory * TAO_Notify_Factory::co_factory_ = 0`[inline, static, protected]`

TAO_Notify_Collection_Factory * TAO_Notify_Factory::collection_factory_ = 0`[static, protected]`

TAO_Notify_EMO_Factory * TAO_Notify_Factory::emo_factory_ = 0`[static, protected]`

TAO_Notify_POA_Factory * TAO_Notify_Factory::poa_factory_ = 0`[static, protected]`

The documentation for this class was generated from the following files:

- Notify_Factory.h
- Notify_Factory.cpp